## redeye 0.0~git20230722.347f493

=== Makefile ===

build:
	@docker build -t ghcr.io/redeye-framework/redeye:latest .

run:
	@docker-compose up -d

test:
	@python tests/test_redeye.py

=== requirements.txt ===
bidict==0.22.0
certifi==2021.10.8
charset-normalizer==2.0.12
click==8.1.0
dnspython==2.2.1
docxcompose==1.3.4
docxtpl==0.15.2
eventlet==0.33.0
fire==0.4.0
Flask==2.0.3
Flask-JSGlue==0.3.1
Flask-SocketIO==5.1.1
greenlet==1.1.2
idna==3.3
itsdangerous==2.1.2
Jinja2==3.0.3
lxml==4.8.0
MarkupSafe==2.1.1
PyJWT==1.7.1
python-docx==0.8.11
python-engineio==4.3.1
python-socketio==5.5.2
requests==2.27.1
six==1.16.0
termcolor==1.1.0
urllib3==1.26.9
websocket-client==1.3.2
Werkzeug==2.1.0
neo4j==4.4.2
flask-restful==0.3.9

=== debian/changelog ===
redeye (0.0~git20230722.347f493-0kali2) kali-dev; urgency=medium

  * Update redeye service file install location

 -- Steev Klimaszewski <steev@kali.org>  Fri, 01 Dec 2023 10:46:20 -0600

redeye (0.0~git20230722.347f493-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20230722.347f493

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 13:56:20 +0200

redeye (0.0~git20230630.47cbda7-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20230630.47cbda7
  * Refresh patches
  * Update build for new upstream version

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jul 2023 15:03:13 +0200

redeye (0.0~git20230625.1ae5da6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20230625.1ae5da6
  * Refresh patches
  * Install new upstream directory routes
  * Add missing deps

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Jun 2023 17:41:46 +0200

redeye (0.0~git20230414.533cd07-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20230414.533cd07
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Apr 2023 15:47:43 +0200

redeye (0.0~git20230315.5d6317b-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20230315.5d6317b
  * Update debian/*: upstream removed some files
  * Bump Standards-Version to 4.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Mar 2023 09:43:35 +0100

redeye (0.0~git20220911.42bb35a-0kali1) kali-dev; urgency=medium

  * Initial release. (see 7918)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Nov 2022 18:02:10 +0100

=== debian/control ===
Source: redeye
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
Standards-Version: 4.6.2
Homepage: https://github.com/redeye-framework/Redeye
Vcs-Browser: https://gitlab.com/kalilinux/packages/redeye
Vcs-Git: https://gitlab.com/kalilinux/packages/redeye.git

Package: redeye
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 sqlite3,
 python3-bidict,
 python3-certifi,
 python3-charset-normalizer,
 python3-click,
 python3-dnspython,
 python3-docxcompose,
 python3-docxtpl,
 python3-eventlet,
 python3-fire,
 python3-flask,
 python3-flask-jsglue,
 python3-flask-restful,
 python3-flask-socketio,
 python3-greenlet,
 python3-idna,
 python3-itsdangerous,
 python3-jinja2,
 python3-lxml,
 python3-markupsafe,
 python3-jwt,
 python3-docx,
 python3-engineio,
 python3-socketio,
 python3-requests,
 python3-six,
 python3-termcolor,
 python3-urllib3,
 python3-websocket,
 python3-werkzeug,
 python3-neo4j (>= 4.4.2),
 octicons,
Description: tool to help you manage your data during a pentest operation
 This package contains a tool intended to help you manage your data during a
 pentest operation in the most efficient and organized way.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=redeye

%:
	dh $@ --with python3

override_dh_auto_build:
	# do not run dh_auto_build
	# the upstream build is for a docker image

override_dh_auto_test:
	# do not run dh_auto_test
	# it requires network

execute_after_dh_install:
	rm debian/redeye/usr/share/redeye/static/css/lib/calendar2/themes/github/assets/fonts/octicons*

=== debian/tests/control ===
Test-Command: debian/tests/runtest.sh
Restrictions: isolation-container, needs-root, allow-stderr
Depends: @, curl

=== debian/watch ===
version=4
opts=mode=git,pretty=0.0~git%cd.%h,pgpmode=none \
    https://github.com/redeye-framework/Redeye/ HEAD
